


chapter11.12 <- function()
{

  message("Example 11.12 Argentina and transportation accidents ...")
  
  verb <- T
  verb <- user.prompt(1)
  if(exists("dataobj", inherits=TRUE))
    try(rm(dataobj, inherits=T), silent=T)

  trns <- eval(as.symbol(data(trns)))
  tobacco <- eval(as.symbol(data(tobacco)))  
  gdp  <- eval(as.symbol(data(gdp)))
  population <- eval(as.symbol(data(population)))
  cntrycode  <- eval(as.symbol(data(cntry.codes)))
 
  cvec <- c(Argentina=2020)
  dataobj <<- dataobjWHO(disease=trns, pop=population, cov.REDUCE=gdp, 
                         cov.FULL=NULL,lagyears = 30, timeseries=TRUE, 
                         cntry.vec =cvec,nobvs=NULL, covselect.WHO=seq(0,10, 5), 
                         icode="ggggaatttt",proxfile=NULL,
                         Gnames=cntrycode, selectages=seq(from=15, to=80, by=5), verbose=verb)
  
   
  message("Formula for male transportation accidents and covariate gdp...")
  ff <- log((trns2+ 0.5)/popu2) ~ log(gdp) + time + (time-1900)^2
 
  print(ff)
  
  message("Running MAP model...")
  user.prompt()
  zmean <- c(-8.334608,-7.848482,-7.940896,-8.022037,-8.062267,-8.077525,-8.041380,-8.028983,
             -7.990504, -7.919344, -7.874932, -7.708156, -7.557175, -7.330945)
  names(zmean) <- 3:16*5
             
  ymap <- yourcast(formula=ff, dataobj=dataobj, model="map",
                     elim.collinear=TRUE,zero.mean=zmean,  
                     Ha.sigma=1.5, Ht.sigma=0.94, Hat.sigma=0.34, Hct.sigma=NA,
                     Ha.deriv=c(0,1,0), Hat.a.deriv=c(0,1), Hat.t.deriv=c(0,0,1),
                     Ht.deriv=c(0,0,1), low.pow=F, verbose=verb)
  message("Generating the graphics for map...")
  user.prompt()
  yourgraph(ymap)
  

  }

chapter11.12()
